FROM registry.gitlab.com/risson/prologin-sadm-2021/prologin/che-sidecar:latest

RUN mkdir /stechec2/games/prologin2021
COPY prologin2021/prologin2021.yml /stechec2/games/prologin2021/prologin2021.yml
COPY prologin2021/wscript /stechec2/games/prologin2021/wscript
COPY prologin2021/src /stechec2/games/prologin2021/src

RUN pushd /stechec2 && \
    ./waf.py configure "--with-games=prologin2021" --prefix=/usr && \
    ./waf.py build install && \
    popd

# vim: syntax=dockerfile tw=2000
